org.apache.cassandra.cql.hooks

## Interface PreExecutionHook

-     public interface PreExecutionHook

  Run before the CQL Statement is executed in `QueryProcessor`. The CQLStatement returned from the processStatement method is what is actually executed by the QueryProcessor.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CQLStatement` | `processStatement(CQLStatement statement, ExecutionContext context)` Perform pre-processing on a CQL statement prior to it being executed by the QueryProcessor.

- - ### Method Detail

    - #### processStatement

          CQLStatement processStatement(CQLStatement statement,
                                      ExecutionContext context)
                                        throws RequestExecutionException,
                                               RequestValidationException

      Perform pre-processing on a CQL statement prior to it being executed by the QueryProcessor. If required, implementations may modify the statement as the returned instance is what is actually executed.
      Parameters:
        `statement` - the statement to perform pre-processing on
        `context` - execution context containing additional info about the operation and statement
      Returns:
        the actual statement that will be executed, possibly a modification of the initial statement
      Throws:
        `RequestExecutionException,` - RequestValidationException
        `RequestExecutionException`
        `RequestValidationException`

Copyright © 2014 The Apache Software Foundation